Show / Hide Table of Contents

# Class Condition

Provides access to conditions (generally player state). You can check whether a player is in combat, mounted, etc.

##### Inheritance

System.Object
Condition

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState

###### Assembly: Dalamud.dll

##### Syntax

    public class Condition

### Fields

| Improve this Doc View Source

#### MaxConditionEntries

The current max number of conditions. You can get this just by looking at the condition sheet and how many rows it has.

##### Declaration

    public const int MaxConditionEntries = 100

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### Item[ConditionFlag]

Check the value of a specific condition/state flag.

##### Declaration

    public bool this[ConditionFlag flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
ConditionFlag | flag | The condition flag to check

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### Any()

##### Declaration

    public bool Any()

##### Returns

Type | Description
--- | ---
System.Boolean |